指数调样事件
数据集标识:index.rebalance_events;证券对象标识示例:000688.SH
指数成分调整及生效日期。
接口
| 用途 | 方法与路径 |
|---|---|
| 查询数据 | POST /v1/datasets/index.rebalance_events/query |
| 契约与当前发布 | GET /v1/datasets/index.rebalance_events |
| 准备批量快照 | POST /v1/datasets/index.rebalance_events/preparations |
请求参数
可在请求体 where 中作为 field 使用的筛选参数,名称保持契约原名。
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
index_code | string | 否 | 筛选一个或多个指数代码。 |
market | string | 否 | 市场代码;中文客户端默认 CN。 |
start_date | date | 否 | 查询开始日期,包含该日。 |
end_date | date | 否 | 查询结束日期,包含该日。 |
返回字段
列名保持契约原名,可直接用于 select、where 与结果行。
| 字段名 | 中文名称 | 类型 | 可空 | 说明 |
|---|---|---|---|---|
index_code | 指数代码 | string | 否 | 调样对应的指数代码。 |
announcement_date | 公告日期 | date | 是 | 调样方案公告日期。 |
effective_date | 生效日期 | date | 否 | 新成分和权重生效日期。 |
constituent_code | 成分证券代码 | string | 否 | 加入或移除的成分证券代码。 |
action | 调整动作 | string | 否 | 加入、移除或权重调整。 |
previous_weight | 调整前权重 | decimal | 是 | 调整前的指数权重。 |
new_weight | 调整后权重 | decimal | 是 | 调整后的指数权重。 |
字段补充属性
括号中是契约描述(GET /v1/datasets/{datasetId} 的 fields)里的键名。
| 字段名 | 属性 |
|---|---|
previous_weight | 精度(precision):38;小数位数(scale):18 |
new_weight | 精度(precision):38;小数位数(scale):18 |
请求示例
向 https://api.<环境域名>/v1/datasets/index.rebalance_events/query 发送 POST 请求(服务地址的替换方式见快速开始),请求头为 Authorization: Bearer <API_KEY> 与 Content-Type: application/json,请求体如下:
{
"select": [
"index_code",
"announcement_date",
"effective_date",
"constituent_code",
"action",
"previous_weight",
"new_weight"
],
"where": [
{
"field": "index_code",
"op": "eq",
"value": "000688.SH"
},
{
"field": "market",
"op": "eq",
"value": "CN"
},
{
"field": "effective_date",
"op": "gte",
"value": "2026-09-11"
},
{
"field": "effective_date",
"op": "lte",
"value": "2026-09-11"
}
],
"page": {
"limit": 1000,
"cursor": null
}
}
响应示例
实际结果随数据更新而变化;data 为空数组表示请求范围内没有可返回的记录。
{
"datasetId": "index.rebalance_events",
"fields": [
"index_code",
"announcement_date",
"effective_date",
"constituent_code",
"action",
"previous_weight",
"new_weight"
],
"data": [
{
"action": "add",
"announcement_date": "2026-08-28",
"constituent_code": "688002.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "remove",
"announcement_date": "2026-08-28",
"constituent_code": "688065.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "remove",
"announcement_date": "2026-08-28",
"constituent_code": "688297.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "remove",
"announcement_date": "2026-08-28",
"constituent_code": "688538.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "remove",
"announcement_date": "2026-08-28",
"constituent_code": "688608.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "remove",
"announcement_date": "2026-08-28",
"constituent_code": "688617.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "add",
"announcement_date": "2026-08-28",
"constituent_code": "688629.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "add",
"announcement_date": "2026-08-28",
"constituent_code": "688729.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "add",
"announcement_date": "2026-08-28",
"constituent_code": "688775.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
},
{
"action": "add",
"announcement_date": "2026-08-28",
"constituent_code": "688820.SH",
"effective_date": "2026-09-11",
"index_code": "000688.SH",
"new_weight": null,
"previous_weight": null
}
],
"page": {
"nextCursor": null,
"complete": true
}
}